/* server name and port number */
#ifndef INC_SERVER_H
#define INC_SERVER_H

#ifndef SERVER_NAME
#define SERVER_NAME "lm.lcs.mit.edu"
#endif

#ifndef SERVER_PORT
#define SERVER_PORT 1112
#endif

/* Directory for key and cert files */
#ifndef SERVER_CERT_DIR
#define SERVER_CERT_DIR "./"
#endif
/* Server certificate file */
#ifndef SERVER_CERT_FILE
#define SERVER_CERT_FILE SERVER_CERT_DIR "server-intl.pem"
#endif
/* Server key file */
#ifndef SERVER_KEY_FILE
#define SERVER_KEY_FILE SERVER_CERT_FILE
#endif

#define xstr(s) str(s)
#define str(s) #s

#define ENCODE_PREFIX "https://" SERVER_NAME ":" xstr(SERVER_PORT) "/"

#endif
